List Beneficiary Transactions
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 1
},
"transactions": [
{
"id": "f656afd1-7735-43b0-b630-04f0ff7158b3",
"transaction_type": "OFFRAMP",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hash": "<string>",
"transaction_ref_id": "<string>",
"from_amount": 3,
"payout_amount": 4.35,
"processing_amount": 3,
"status": "COMPLETED",
"fx_rate": 1.45,
"developer_fee": 0,
"developer_fee_percentage": 0.45,
"developer_fee_fixed": 1.25,
"from_currency": "USDC",
"payout_currency": "AUD",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "Authentication failed"
}Transactions List
List Beneficiary Transactions
Retrieve a paginated list of all transactions for a specific beneficiary
GET
/
v1
/
beneficiaries
/
{beneficiary_id}
/
transactions
List Beneficiary Transactions
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id}/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 1
},
"transactions": [
{
"id": "f656afd1-7735-43b0-b630-04f0ff7158b3",
"transaction_type": "OFFRAMP",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hash": "<string>",
"transaction_ref_id": "<string>",
"from_amount": 3,
"payout_amount": 4.35,
"processing_amount": 3,
"status": "COMPLETED",
"fx_rate": 1.45,
"developer_fee": 0,
"developer_fee_percentage": 0.45,
"developer_fee_fixed": 1.25,
"from_currency": "USDC",
"payout_currency": "AUD",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Response
Transactions retrieved successfully
Show child attributes
Show child attributes
⌘I
